extends Node

@export var new_scene : String

func transition_scene(goto_scene):
	new_scene = goto_scene
	var loadingScreen = load("res://scenes/user_interface/loading_screen.tscn")
	get_tree().change_scene_to_packed(loadingScreen)
